Не удалось установить libltc-dev в beaglebone black debian

Я пытаюсь создать некоторые C-программы в beaglebone black (с использованием debian), которые я буду клонировать здесь. Теперь я попробую команду make я получил эту ошибку: –

 Makefile:9: *** "https://github.com/x42/libltc version >= 1.1.0 is required - install libltc-dev". Stop. 

Итак, я решил установить libltc-dev и попробовать это

  apt-get install libltc-dev 

Но я получил эту ошибку

 Reading package lists... Done Building dependency tree Reading state information... Done E: Unable to locate package libltc-dev 

Я ошибаюсь в этой ошибке, но в libltc-dev почти ничего нет. Итак, может ли кто-нибудь сказать мне, как установить libltc-dev.

One Solution collect form web for “Не удалось установить libltc-dev в beaglebone black debian”

libltc доступен в Debian 8, но не в Debian 7.

Версия пакета в Debian 8 имеет зависимости, которые могут быть удовлетворены в Debian 7 на armhf , поэтому возможно установить эту версию:

 wget http://ftp.debian.org/debian/pool/main/libl/libltc/libltc-dev_1.1.4-1_armhf.deb http://ftp.debian.org/debian/pool/main/libl/libltc/libltc11_1.1.4-1_armhf.deb sudo dpkg -i libltc-dev_1.1.4-1_armhf.deb libltc11_1.1.4-1_armhf.deb 

Если это не удается, зависимости между конструкцией также могут быть удовлетворены в Debian 7, поэтому можно создать текущий пакет, используя Debian 7 на вашем BB:

 sudo apt-get install devscripts build-essential dget http://httpredir.debian.org/debian/pool/main/libl/libltc/libltc_1.2.0-1.dsc cd libltc-1.2.0 dpkg-buildpackage -us -uc 

Это должно привести к созданию файлов .deb в родительском каталоге; вы можете установить их с помощью dpkg -i .

  • Как установить Skype на Debian 8?
  • Как проверить, установлен ли HDF5?
  • установка emacs на CentOS
  • Как определить точное имя пакета `.so`, чтобы его можно было установить через` zypper`?
  • Проблемы с установкой mysql на debian
  • Установите программы без подключения к Интернету на Debian
  • Vuze не начинается?
  • Создание группы и пользователя для Tomcat RHEL / CentOS
  • Сломанная зависимость для lvm2
  • Yum не работает
  • Debian Wheezy: переустановите apache2
  • Не удалось установить пакет php-posix на CentOS 5.6
  • Linux и Unix - лучшая ОС в мире.